参数列表 = {"建设任务","郑无名",100,54}
坐标列表 = {{24,38},{40,35},{36,16},{42,21}}
local g_k = 0
function 建设任务()
	local 任务进度 = 取任务进度("建设任务")
	if 任务进度 == -1 then
		if GetRoleActive() >= 10 then
			前往帮会驻地()
			地图寻路(参数列表[3],参数列表[4])
			对话npc(参数列表[2])
			对话选项(参数列表[1])
			接受任务()
			延迟(1000)
			return 建设任务()
		else
			打印信息("人物活跃度不足,无法接取任务,离开帮会地图")
			离开帮会地图()
			跨图寻路(237,236,"洛阳")
			return
		end
	end
	
	if 任务进度 == 0 then
		local 类型 = 取任务参数(参数列表[1],2)
		local Ret = 1
		if 类型 == 600039 then
			local 状态 = 取任务参数(参数列表[1],1)
			打印信息("状态 = "..状态)
			if 状态 == -1 then
				if 查找对话项文本(3,"工地") == 1 then 
					对话选项("进入工地") 
				else
					对话npc(参数列表[2])
					对话选项(参数列表[1])
					对话选项("进入工地")
				end  
				while 取地图名() ~= "工地" do 延迟(3000) 打印信息("正在传送到场景..")  g_k = g_k + 1 if g_k == 5 then g_k = 0 break end end
			end
			延迟(1000)
			local 状态 = 取任务参数(参数列表[1],1)
			if 状态 ~= -1 then
				召唤坐骑(0)
				while 取任务参数(参数列表[1],0) ~= 1 do
					local Ret1 = 打怪设置("",0)
					if Ret1 == -1 then
						地图寻路(坐标列表[Ret][1],坐标列表[Ret][2])
						Ret = Ret + 1
					end
				end
				while 取地图名() == "工地" do 延迟(3000) 打印信息("正在传送到帮会地图..") end
			end
			return 建设任务()
		end
		
		if 类型 == 600036 then
			local 状态 = 取任务参数(参数列表[1],1)
			if 状态 == 1 then
				local 参数 = 取任务参数(参数列表[1],9)
				local x,y,ID,NpcName,GoodsName = GetBuildingParameters(参数)
				离开帮会地图()
				ID_寻路(x,y,ID)
				对话npc(NpcName)
			end
			return 建设任务()
		end
		
		if 类型 == 600038 then
			local 状态 = 取任务参数(参数列表[1],1)
			local 参数 = 取任务参数(参数列表[1],8)		
			local GoodsName = BhGetGoodsName(参数)
			打印信息("GoodsName = "..GoodsName)
			if 状态 == 2 then
				if 查找对话项文本(4,"_144}") == 1 and 是否在驻地() == 1 then 
					对话选项("#{DJBHGZ_110622_144}")
					点击确定()
					while 是否在驻地() == 1 do 打印信息("正在传送到场景") 延迟(2000)  g_k = g_k + 1 if g_k == 5 then g_k = 0 break end end
				else
					local 参数 = 取任务参数(g_szMission,3)
					local x,y,ID,_,_ = GetBuildingParameters(参数)
					if x == 0 and y == 0 then 打印信息("获取目标坐标失败") return end
					打印信息(x..y..ID)
					离开帮会地图()
					ID_寻路(x,y,ID)
				end
				召唤坐骑(0)
				while 状态 == 2 do
					打怪设置("",1)
					状态 = 取任务参数(参数列表[1],1)
				end
			end
			if 状态 == 1 then
				local 参数 = 取任务参数(参数列表[1],9) --1A
				local x,y,ID,NpcName,_ = GetBuildingParameters(参数)
				打印信息(NpcName)
				if x == 0 and y == 0 then 打印信息("获取Npc坐标失败") return end
				召唤坐骑(1)
				ID_寻路(x,y,ID)
				对话npc(NpcName)
				if 取任务参数(参数列表[1],0) == 1 then 打印信息("任务完成。。") end
				return 建设任务()
			end
			if 状态 == 3 then
				return 建设任务()
			end
		end
	end

	if 任务进度 == 1 then
		交任务()
		if 取对话栏内容() == "#{DJBHGZ_110511_55}" then 打印信息("当前帮会任务已经全部完成,不可交付任务,脚本结束") return end
		return 建设任务()
	end
end

function 交任务()
	前往帮会驻地()
	地图寻路(参数列表[3],参数列表[4])
	对话npc(参数列表[2])
	对话选项(参数列表[1])
	任务继续()
	完成任务()
end

function 离开帮会地图()
	if 是否在驻地() == 1 then
		召唤坐骑(1)
		地图寻路(98,157)
		点击确定()
		while 取地图编号() == BuildID do 延迟(3000) 打印信息("正在传送到场景..") end
	end
end

function 前往帮会驻地()
	if 是否在驻地() ~= 1 then
		打印信息("前往帮会城市")
		召唤坐骑(1)
		跨图寻路(237,236,"洛阳")
		对话npc("范纯仁")
		对话选项("进入本帮城市")
		while 是否在驻地() ~= 1 do 延迟(2000) end
	end
end
FirstObjects(1)
建设任务()